> ## Documentation Index
> Fetch the complete documentation index at: https://docs.ankra.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Control Plane Info Endpoint



## OpenAPI

````yaml https://platform.ankra.app/openapi.json get /api/v1/clusters/digitalocean/{cluster_id}/control-plane
openapi: 3.1.0
info:
  title: FastAPI
  version: 0.1.0
servers:
  - url: https://platform.ankra.app
security: []
paths:
  /api/v1/clusters/digitalocean/{cluster_id}/control-plane:
    get:
      tags:
        - DigitalOcean Cluster API
      summary: Get Control Plane Info Endpoint
      operationId: >-
        get_control_plane_info_endpoint_api_v1_clusters_digitalocean__cluster_id__control_plane_get
      parameters:
        - in: path
          name: cluster_id
          required: true
          schema:
            format: uuid
            title: Cluster Id
            type: string
        - in: header
          name: authorization
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            title: Authorization
        - in: header
          name: x-ankra-organisation-id
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            title: X-Ankra-Organisation-Id
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ControlPlaneInfo'
          description: Successful Response
        '401':
          description: Unauthorized
        '404':
          description: Not found
        '422':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
          description: Validation Error
components:
  schemas:
    ControlPlaneInfo:
      properties:
        can_change:
          title: Can Change
          type: boolean
        count:
          title: Count
          type: integer
        instance_type:
          title: Instance Type
          type: string
        reason:
          anyOf:
            - type: string
            - type: 'null'
          title: Reason
        supported_counts:
          items:
            type: integer
          title: Supported Counts
          type: array
      required:
        - count
        - supported_counts
        - instance_type
        - can_change
      title: ControlPlaneInfo
      type: object
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          title: Detail
          type: array
      title: HTTPValidationError
      type: object
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          title: Location
          type: array
        msg:
          title: Message
          type: string
        type:
          title: Error Type
          type: string
      required:
        - loc
        - msg
        - type
      title: ValidationError
      type: object

````